package com.duiba.tuia.youtui.web.biz.land.param;

import java.util.HashMap;
import java.util.Map;

import com.duiba.tuia.youtui.web.model.rsp.InsuranceResultRsp;

public class LandExtendParam {

	private Long appId;
	private Long consumerId;
	private String interfaceCode;
	private String smsCode;
	private String subchannel;
	private InsuranceResultRsp insuranceResultRsp;
	private Map<String, Object> extendParam;
	
	public Long getAppId() {
		return appId;
	}
	public void setAppId(Long appId) {
		this.appId = appId;
	}
	public Long getConsumerId() {
		return consumerId;
	}
	public void setConsumerId(Long consumerId) {
		this.consumerId = consumerId;
	}
    public String getInterfaceCode() {
        return interfaceCode;
    } 
    public void setInterfaceCode(String interfaceCode) {
        this.interfaceCode = interfaceCode;
    }
    public String getSmsCode() {
        return smsCode;
    }
    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }
    public InsuranceResultRsp getInsuranceResultRsp() {
        return insuranceResultRsp;
    }
    public void setInsuranceResultRsp(InsuranceResultRsp insuranceResultRsp) {
        this.insuranceResultRsp = insuranceResultRsp;
    }
    public String getSubchannel() {
        return subchannel;
    }
    public void setSubchannel(String subchannel) {
        this.subchannel = subchannel;
    }
    public void setExtendParam(String key, Object value) {
		if(this.extendParam == null){
			this.extendParam = new HashMap<>();
		}
		this.extendParam.put(key, value);
	}
	
	
}
